Subject: Re: bug#31851: 26.1; Support a frame-wide bar similar to the mode line

From: Juri Linkov <[email-masked]>
Date: Thu, 02 Sep 2021 18:54:03 +0300

> martin rudalics <[email-masked]> writes:
>
>>> Thanks for the suggestion. This looks similar to what I want, but it
>>> doesn't look like there's a way to make it apply to all frames (like the
>>> mode-line does
>
> [...]
>
>> It doesn't apply to all frames, right.  You have to add some code,
>> probably to 'after-make-frame-functions', to display such a side
>> window on every frame.
>
> I think the conclusion here is that the Side Windows thing covers the
> proposed use case, so I'm closing this bug report.

Actually, now there is a frame-wide bar similar to the mode line
that can be configured using tab-bar-format in tab-bar-mode.